/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.23\SYS_Table.sql **/

/**Start Add by ycg **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_FONTMANAGEMENT') 
 CREATE TABLE T_BAS_FONTMANAGEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFONTNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCE CHAR(1) DEFAULT '1' NOT NULL,
FISV VARCHAR(8) DEFAULT ' ' NOT NULL,
FTENANTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME DEFAULT GETDATE(),
FFORBIDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FFORBIDERID BIGINT DEFAULT 0 NOT NULL,
FFORBIDDATE DATETIME,
FAPPROVEDATE DATETIME,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_FONTMANAGEMENT_L') 
 CREATE TABLE T_BAS_FONTMANAGEMENT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);
/**end Add by ycg **/


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.23\SYS_Table.sql **/
